import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
import seaborn as sns
import matplotlib as mpl

iris = sns.load_dataset("iris")
sns.set_style("whitegrid", rc={'xtick.bottom': True,
                               'xtick.color': 'red',
                               'xtick.direction': 'in',
                               'xtick.top': True,
                               'ytick.color': 'red',
                               'ytick.direction': 'in',
                               'ytick.left': True,
                               'ytick.right': True})
sns.set_context("notebook", rc={'xtick.labelsize': 15.0,
                                'xtick.major.size': 6.0,
                                'xtick.major.width': 1.25,
                                'xtick.minor.size': 4.0,
                                'xtick.minor.width': 2.0,
                                'ytick.labelsize': 15.0,
                                'ytick.major.size': 6.0,
                                'ytick.major.width': 1.25,
                                'ytick.minor.size': 4.0,
                                'ytick.minor.width': 1.0})
sp = sns.scatterplot(x='sepal_length', y='petal_length', data=iris)
sp.get_xaxis().set_minor_locator(mpl.ticker.AutoMinorLocator())
sp.get_yaxis().set_minor_locator(mpl.ticker.AutoMinorLocator())
sp.grid(b=True, which='minor', color='lightgreen', linewidth=0.5)

plt.show()